org.yaml.snakeyaml.representer

## Class Representer.RepresentJavaBean

- java.lang.Object
- - org.yaml.snakeyaml.representer.Representer.RepresentJavaBean

All Implemented Interfaces:
  Represent

Enclosing class:
  Representer

    protected class Representer.RepresentJavaBean
    extends Object
    implements Represent

### Constructor Summary

Constructors
`protected` `Representer.RepresentJavaBean()`

### Method Summary

Methods
`Node` `representData(Object data)` Create a Node

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Representer.RepresentJavaBean

    protected Representer.RepresentJavaBean()

### Method Detail

#### representData

    public Node representData(Object data)

Description copied from interface: `Represent`
Create a Node

Specified by:
  `representData` in interface `Represent`
Parameters:
  `data` - the instance to represent
Returns:
  Node to dump